mscorlib 4.0.0.0 System.Object

The class encodes some common patterns into methods that pick up default settings, which are configurable through its constructors. A default instance of is available through the property.

Provides support for creating and scheduling objects.

- Constructor
  4.0.0.0

  This constructor creates a instance with a default configuration. The property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the default configuration.

- Constructor
  4.0.0.0

  This constructor creates a instance with a default configuration. The property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The that will be assigned to tasks created by this unless another CancellationToken is explicitly specified while calling the factory methods.
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to , unless it's null, in which case the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The to use to schedule any tasks created with this TaskFactory. A null value indicates that the current TaskScheduler should be used.
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The default to use when creating tasks with this TaskFactory.
  The default to use when creating continuation tasks with this TaskFactory.
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to , unless it's null, in which case the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The default that will be assigned to tasks created by this unless another CancellationToken is explicitly specified while calling the factory methods.
  The default to use when creating tasks with this TaskFactory.
  The default to use when creating continuation tasks with this TaskFactory.
  The default to use to schedule any Tasks created with this TaskFactory. A null value indicates that TaskScheduler.Current should be used.
- Property
  4.0.0.0
  System.Threading.CancellationToken To be added.

  This property returns the default that will be assigned to all tasks created by this factory, unless another value is explicitly specified during the call to the factory methods.

  Gets the default cancellation token for this task factory.

- Property
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions To be added.

  The property value is used to create all continuation tasks, unless other options are explicitly specified during calls to this factory's methods.

  Gets the default task continuation options for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task `` ``

  The method executes the delegate when all tasks in the array have completed, regardless of their completion status.

  Exceptions thrown by tasks in the array are not available to the continuation task through structured exception handling. You can determine which exceptions were thrown by examining the property of each task in the array. To use structured exception handling to handle exceptions thrown by tasks in the array, call the method.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The method executes the delegate when all tasks in the array have completed, regardless of their completion status.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. The cancellation token to assign to the new continuation task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. The cancellation toke to assign to the new continuation task. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The object that is used to schedule the new continuation task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. The cancellation token to assign to the new continuation task. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The action delegate to execute when all tasks in the array have completed. The cancellation token to assign to the new continuation task. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The object that is used to schedule the new continuation task. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The cancellation token to assign to the new continuation task. The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The cancellation token to assign to the new continuation task. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The object that is used to schedule the new continuation task. The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The cancellation token to assign to the new continuation task. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added.

  Creates a continuation task that starts when a set of specified tasks has completed.

  The new continuation task.

  The array of tasks from which to continue. The function delegate to execute asynchronously when all tasks in the array have completed. The cancellation token to assign to the new continuation task. A bitwise combination of the enumeration values that control the behavior of the new continuation task. The NotOn* and OnlyOn* members are not supported. The object that is used to schedule the new continuation task. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The that will be assigned to the new continuation task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The value that controls the behavior of the created continuation .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The that will be assigned to the new continuation task. The value that controls the behavior of the created continuation . The that is used to schedule the created continuation .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The that will be assigned to the new continuation task. The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The value that controls the behavior of the created continuation . The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The action delegate to execute when one task in the array completes. The that will be assigned to the new continuation task. The value that controls the behavior of the created continuation . The that is used to schedule the created continuation . The type of the result of the antecedent .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The that will be assigned to the new continuation task. The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The value that controls the behavior of the created continuation . The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The that will be assigned to the new continuation task. The value that controls the behavior of the created continuation . The that is used to schedule the created continuation . The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The that will be assigned to the new continuation task. The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The value that controls the behavior of the created continuation . The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` ``

  The NotOn* and OnlyOn* , which constrain for which states a continuation will be executed, are illegal with ContinueWhenAny.

  Creates a continuation that will be started upon the completion of any Task in the provided set.

  The new continuation .

  The array of tasks from which to continue when one task completes. The function delegate to execute asynchronously when one task in the array completes. The that will be assigned to the new continuation task. The value that controls the behavior of the created continuation . The that is used to schedule the created continuation . The type of the result of the antecedent . The type of the result that is returned by the delegate and associated with the created .
- Property
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions To be added.

  The property value is used to create all tasks, unless other options are explicitly specified during calls to this factory's methods.

  Gets the default task creation options for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method action when a specified completes.

  A that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The action delegate that processes the completed .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. An object containing data to be used by the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method action when a specified completes.

  A that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The action delegate that processes the completed . The TaskCreationOptions value that controls the behavior of the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the . The values , and are all mutually exclusive. In the FromAsync methods, either LongRunning or AttachedToParent by themselves will cause an to be thrown.

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method action when a specified completes.

  The created that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The action delegate that processes the completed . The TaskCreationOptions value that controls the behavior of the created . The that is used to schedule the task that executes the end method.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. An object containing data to be used by the delegate. The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method function when a specified completes.

  A that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The function delegate that processes the completed . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. An object containing data to be used by the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method function when a specified completes.

  A that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The function delegate that processes the completed . The TaskCreationOptions value that controls the behavior of the created . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` ``

  This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` ``

  The overloads that take an parameter are not as efficient as the overloads that take a parameter. If performance is an issue, use the overloads that provide the / pattern.

  Creates a that executes an end method function when a specified completes.

  A that represents the asynchronous operation.

  The IAsyncResult whose completion should trigger the processing of the . The function delegate that processes the completed . The TaskCreationOptions value that controls the behavior of the created . The that is used to schedule the task that executes the end method. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. An object containing data to be used by the delegate. The type of the second argument passed to delegate. The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the second argument passed to delegate. The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. An object containing data to be used by the delegate. The type of the first argument passed to the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the first argument passed to the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. The third argument passed to the delegate. An object containing data to be used by the delegate. The type of the second argument passed to delegate. The type of the third argument passed to delegate. The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. The third argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the second argument passed to delegate. The type of the third argument passed to delegate. The type of the first argument passed to the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. An object containing data to be used by the delegate. The type of the second argument passed to delegate. The type of the first argument passed to the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the second argument passed to delegate. The type of the first argument passed to the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. The third argument passed to the delegate. An object containing data to be used by the delegate. The type of the second argument passed to delegate. The type of the third argument passed to delegate. The type of the first argument passed to the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` `` ``

  The delegate is started on the thread that is running on. This method throws any exceptions thrown by the .

  Creates a that represents a pair of begin and end methods that conform to the Asynchronous Programming Model pattern.

  The created that represents the asynchronous operation.

  The delegate that begins the asynchronous operation. The delegate that ends the asynchronous operation. The first argument passed to the delegate. The second argument passed to the delegate. The third argument passed to the delegate. An object containing data to be used by the delegate. The TaskCreationOptions value that controls the behavior of the created . The type of the second argument passed to delegate. The type of the third argument passed to delegate. The type of the first argument passed to the delegate. The type of the result available through the .
- Property
  4.0.0.0
  System.Threading.Tasks.TaskScheduler To be added.

  The property value is used to schedule all tasks, unless another scheduler is explicitly specified during calls to this factory's methods.

  If this property value is null, the value of the property is used.

  Gets the default task scheduler for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  Calling is functionally equivalent to creating a task by using one of its constructors, and then calling the method to schedule the task for execution. Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a task.

  The started task.

  The action delegate to execute asynchronously.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution. Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. The that will be assigned to the new task.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. A TaskCreationOptions value that controls the behavior of the created
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. An object containing data to be used by the delegate.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. An object containing data to be used by the delegate. The that will be assigned to the new
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. An object containing data to be used by the delegate. A TaskCreationOptions value that controls the behavior of the created
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. The that will be assigned to the new A TaskCreationOptions value that controls the behavior of the created The that is used to schedule the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` ``

  Calling StartNew is functionally equivalent to creating a Task using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see Task.Run vs Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  The action delegate to execute asynchronously. An object containing data to be used by the delegate. The that will be assigned to the new task. A TaskCreationOptions value that controls the behavior of the created The that is used to schedule the created .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . An object containing data to be used by the delegate. The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . The that will be assigned to the new The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . A TaskCreationOptions value that controls the behavior of the created . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . An object containing data to be used by the delegate. The that will be assigned to the new The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . An object containing data to be used by the delegate. A TaskCreationOptions value that controls the behavior of the created . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . The that will be assigned to the new task. A TaskCreationOptions value that controls the behavior of the created . The that is used to schedule the created . The type of the result available through the .
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` ``

  Calling StartNew is functionally equivalent to creating a using one of its constructors and then calling to schedule it for execution.

  Starting with the net_v45, you can use the method with an object as a quick way to call with default parameters. For more information and code examples, see the entry Task.Run vs. Task.Factory.StartNew in the Parallel Programming with .NET blog.

  Creates and starts a .

  The started .

  A function delegate that returns the future result to be available through the . An object containing data to be used by the delegate. The that will be assigned to the new task. A TaskCreationOptions value that controls the behavior of the created . The that is used to schedule the created . The type of the result available through the .